---
title: List (Multiple)
slug: list-multiple
docTags: 
createdAt: 2022-12-01T15:33:27.000Z
---

Works only where multiple user connections is implemented. Returns all the virtual connections with the names of the providers and map\_id which should be used for all oauth calls instead of the user id.





:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://labs.pathfix.com/api/connection/all/virtual",
  "name": "List Virtual Connections For a User",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "kind": "required",
        "name": "user_id",
        "type": "string",
        "description": "Identifier of your currently logged in user"
      },
      {
        "kind": "required",
        "name": "public_key",
        "type": "string",
        "description": "Your Pathfix Application's Public Key"
      },
      {
        "kind": "required",
        "name": "private_key",
        "type": "string",
        "description": "Your Pathfix Application's Private Key"
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "2gx9jwLVhQoFw5LvzrJUH",
        "code": "{\n\t\"rows\": [{\n\t\t\"pincStatus\": \"success\",\n\t\t\"callId\": \"9333921d-5175-4eed-ab19-3c260d23fdsfdf\",\n\t\t\"data\": {\n\t\t\t\"rows\": [{\n\t\t\t\t\"name\": \"Mailchimp info@acmesaas.com\",\n\t\t\t\t\"map_id\": \"info@acmesaas.com.67a82102-1853-bbe7-33d3-1e5661e39817\",\n\t\t\t\t\"provider\": \"mailchimp\"\n\t\t\t}, {\n\t\t\t\t\"name\": \"Acme info@acmesaas.com\",\n\t\t\t\t\"map_id\": \"info@acmesaas.com.678564b0-6dc8-a836-05a8-b8c18c6a74a8\",\n\t\t\t\t\"provider\": \"slackv2\"\n\t\t\t}, {\n\t\t\t\t\"name\": \"Test Account\",\n\t\t\t\t\"map_id\": \"info@acmesaas.com\",\n\t\t\t\t\"provider\": \"slackv2\"\n\t\t\t}]\n\t\t}\n\t}]\n}",
        "language": "200"
      },
      {
        "id": "lqNc5ghOo9rR-00V6Lt1p",
        "code": "Unauthorized",
        "language": "401"
      }
    ],
    "selectedLanguageId": "2gx9jwLVhQoFw5LvzrJUH"
  },
  "examples": {
    "languages": [
      {
        "id": "mfp5T4WFfrbMqF-vFPp9F",
        "code": "curl --request GET\n  --url https://labs.pathfix.com/api/connection/all/virtual \n  --header 'Accept: application/json'",
        "language": "curl"
      },
      {
        "id": "5_E482ZvlqWKYk9NfVgA3",
        "code": "fetch(\"https://labs.pathfix.com/api/connection/all/virtual\", {\n  \"method\": \"GET\",\n  \"headers\": {\n    \"Accept\": \"application/json\"\n  }\n})\n.then(response => {\n  console.log(response);\n})\n.catch(err => {\n  console.error(err);\n});",
        "language": "javascript"
      },
      {
        "id": "BrcVPXHpxU5y6Za5k7PZa",
        "code": "const fetch = require('node-fetch');\n\nlet url = 'https://labs.pathfix.com/api/connection/all/virtual';\nlet options = {\n  method: 'GET', \nheaders: {\n    Accept: 'application/json',\n  }\n};\nfetch(url, options)\n  .then(res => res.json())\n  .then(json => console.log(json))\n  .catch(err => console.error('error:' + err));",
        "language": "nodejs"
      },
      {
        "id": "IoUFVWGQLzS3pAQ8xjEiL",
        "code": "import requests\n\nurl = \"https://labs.pathfix.com/api/connection/all/virtual\"\nheaders = {\"Accept\": \"application/json\"}\nresponse = requests.request(\"GET\", url, headers=headers)\nprint(response.text)",
        "language": "python"
      },
      {
        "id": "4hGlY4PSfT-cAFDKQsQJP",
        "code": "const fetch = require('node-fetch');\n\nlet url = 'https://labs.pathfix.com/api/connection/all/virtual';\nlet options = {method: 'GET', headers: {Accept: 'application/json'}};\nfetch(url, options)\n  .then(res => res.json())\n  .then(json => console.log(json))\n  .catch(err => console.error('error:' + err));",
        "language": "ruby"
      }
    ],
    "selectedLanguageId": "mfp5T4WFfrbMqF-vFPp9F"
  },
  "description": "This API will give you access to all the virtual connections for a specific user\n",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "list-virtual-connections-for-a-user",
  "legacyHash": "pCpurYGIcNJ_5iwxN6ytf"
}
```
:::

